Snapvisor Docs

Update a project

Update a project's settings. Only the fields present in the request are changed. Requires administrator access to the project. Use it when a project administrator asks to change a project's settings.

PATCH
/projects/{owner}/{project}

Update a project's settings. Only the fields present in the request are changed. Requires administrator access to the project. Use it when a project administrator asks to change a project's settings.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/projects/string/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "account": {    "id": "string",    "slug": "string"  },  "name": "string",  "defaultBaseBranch": "string",  "hasRemoteContentAccess": true,  "autoApprovedBranchGlob": "string",  "deploymentProductionBranchGlob": "string",  "private": true,  "summaryCheck": "always",  "prCommentEnabled": true,  "githubActionsOidcEnabled": true,  "tokenlessAuthEnabled": true,  "deploymentEnabled": true,  "deploymentAuth": "public",  "defaultUserLevel": "admin",  "ignoreConfig": {    "enabled": true,    "autoIgnore": {      "changes": 1    }  }}